package com.ozs.web.controller.mqtt;

import com.ozs.common.annotation.Log;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.common.enums.BusinessType;
import com.ozs.service.utils.PublishClient;
import com.ozs.service.utils.SubscribeClient;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.eclipse.paho.client.mqttv3.MqttException;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Administrator
 */
@RestController
@RequestMapping("/service/mqtt")
@Slf4j
public class MqttController implements ApplicationRunner {
    

    @Override
    public void run(ApplicationArguments args) throws Exception {
        new SubscribeClient("heart", "heart").start();
    }
}
